Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.PlayerArgs Class Reference

## Public Member Functions
| PlayerArgs ()
| Constructor.
| PlayerArgs (PDFDoc doc, Screen screen_annot, Rendition rendition, String URL, String audio_format, MediaSettings player_settings)
| Constructor, with parameters. More...
| PlayerArgs (PlayerArgs player_args)
| Constructor, with another player args object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
String | getAudio_format ()
| Get the audio format, such as "audio/wav". More...
PDFDoc | getDoc ()
| Get the PDFDoc object of the document. More...
MediaSettings | getPlayer_settings ()
| Get a MediaSettings object. More...
Rendition | getRendition ()
| Get a com.foxit.sdk.pdf.Rendition object (either a MediaRendition or a RenditionList). More...
Screen | getScreen_annot ()
| Get a com.foxit.sdk.pdf.annots.Screen object. More...
String | getURL ()
| Get either URL or rendition is required, with URL taking precedence. More...
void | set (PDFDoc doc, Screen screen_annot, Rendition rendition, String URL, String audio_format, MediaSettings player_settings)
| Set values. More...
void | setAudio_format (String value)
| Set the audio format, such as "audio/wav". More...
void | setDoc (PDFDoc value)
| Set the PDFDoc object of the document. More...
void | setPlayer_settings (MediaSettings value)
| Set a MediaSettings object. More...
void | setRendition (Rendition value)
| Set a com.foxit.sdk.pdf.Rendition object (either a MediaRendition or a RenditionList). More...
void | setScreen_annot (Screen value)
| Set a com.foxit.sdk.pdf.annots.Screen object. More...
void | setURL (String value)
| Set either URL or rendition is required, with URL taking precedence. More...

## Detailed Description

This class represents player args.

## Constructor & Destructor Documentation

## ◆ PlayerArgs() [1/2]

com.foxit.sdk.PlayerArgs.PlayerArgs | ( | PDFDoc | doc,
|  | Screen | screen_annot,
|  | Rendition | rendition,
|  | String | URL,
|  | String | audio_format,
|  | MediaSettings | player_settings
| ) |  |

Constructor, with parameters.

Parameters

  [in] | doc | The PDFDoc object of the document. Required if both annot and rendition are omitted, for example, for URL playback.
  [in] | screen_annot | A com.foxit.sdk.pdf.annots.Screen object. Required for docked playback unless it is found in the event object or MediaSettings.
  [in] | rendition | A pdf::Rendition object (either a MediaRendition or a RenditionList). Required unless rendition is found in the event object or URL is present.
  [in] | URL | Either URL or rendition is required, with URL taking precedence.
  [in] | audio_format | The audio format, such as "audio/wav".
  [in] | player_settings | A MediaSettings object.

## ◆ PlayerArgs() [2/2]

com.foxit.sdk.PlayerArgs.PlayerArgs | ( | PlayerArgs | player_args | ) |

Constructor, with another player args object.

Parameters

  [in] | player_args | Another player args object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.PlayerArgs.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getAudio_format()

com.foxit.sdk.PlayerArgs.getAudio_format | ( |  | ) |

Get the audio format, such as "audio/wav".

Returns
  The audio format, such as "audio/wav".

## ◆ getDoc()

com.foxit.sdk.PlayerArgs.getDoc | ( |  | ) |

Get the PDFDoc object of the document.

Required if both annot and rendition are omitted, for example, for URL playback.

Returns
  The PDFDoc object of the document.

## ◆ getPlayer_settings()

com.foxit.sdk.PlayerArgs.getPlayer_settings | ( |  | ) |

Get a MediaSettings object.

Returns
  A MediaSettings object.

## ◆ getRendition()

com.foxit.sdk.PlayerArgs.getRendition | ( |  | ) |

Get a com.foxit.sdk.pdf.Rendition object (either a MediaRendition or a RenditionList).

Required unless rendition is found in the event object or URL is present.

Returns
  A com.foxit.sdk.pdf.Rendition object (either a MediaRendition or a RenditionList).

## ◆ getScreen_annot()

com.foxit.sdk.PlayerArgs.getScreen_annot | ( |  | ) |

Get a com.foxit.sdk.pdf.annots.Screen object.

Required for docked playback unless it is found in the "event" or "MediaSettings" of javascript.

Returns
  A com.foxit.sdk.pdf.annots.Screen object.

## ◆ getURL()

com.foxit.sdk.PlayerArgs.getURL | ( |  | ) |

Get either URL or rendition is required, with URL taking precedence.

Returns
  Either URL or rendition is required, with URL taking precedence.

## ◆ set()

void com.foxit.sdk.PlayerArgs.set | ( | PDFDoc | doc,
|  | Screen | screen_annot,
|  | Rendition | rendition,
|  | String | URL,
|  | String | audio_format,
|  | MediaSettings | player_settings
| ) |  |

Set values.

Parameters

  [in] | doc | The PDFDoc object of the document. Required if both annot and rendition are omitted, for example, for URL playback.
  [in] | screen_annot | A com.foxit.sdk.pdf.annots.Screen object. Required for docked playback unless it is found in the event object or MediaSettings.
  [in] | rendition | A com.foxit.sdk.pdf.Rendition object (either a MediaRendition or a RenditionList). Required unless rendition is found in the event object or URL is present.
  [in] | URL | Either URL or rendition is required, with URL taking precedence.
  [in] | audio_format | The audio format, such as "audio/wav".
  [in] | player_settings | A MediaSettings object.

Returns
  None.

## ◆ setAudio_format()

com.foxit.sdk.PlayerArgs.setAudio_format | ( | String | value | ) |

Set the audio format, such as "audio/wav".

Parameters

  [in] | value | The audio format, such as "audio/wav".

Returns
  None.

## ◆ setDoc()

com.foxit.sdk.PlayerArgs.setDoc | ( | PDFDoc | value | ) |

Set the PDFDoc object of the document.

Required if both annot and rendition are omitted, for example, for URL playback.

Parameters

  [in] | value | The PDFDoc object of the document.

Returns
  None.

## ◆ setPlayer_settings()

com.foxit.sdk.PlayerArgs.setPlayer_settings | ( | MediaSettings | value | ) |

Set a MediaSettings object.

Parameters

  [in] | value | A MediaSettings object.

Returns
  None.

## ◆ setRendition()

com.foxit.sdk.PlayerArgs.setRendition | ( | Rendition | value | ) |

Set a com.foxit.sdk.pdf.Rendition object (either a MediaRendition or a RenditionList).

Required unless rendition is found in the event object or URL is present.

Parameters

  [in] | value | A com.foxit.sdk.pdf.Rendition object (either a MediaRendition or a RenditionList).

Returns
  None.

## ◆ setScreen_annot()

com.foxit.sdk.PlayerArgs.setScreen_annot | ( | Screen | value | ) |

Set a com.foxit.sdk.pdf.annots.Screen object.

Required for docked playback unless it is found in the "event" or "MediaSettings" of javascript.

Parameters

  [in] | value | A com.foxit.sdk.pdf.annots.Screen object.

Returns
  None.

## ◆ setURL()

com.foxit.sdk.PlayerArgs.setURL | ( | String | value | ) |

Set either URL or rendition is required, with URL taking precedence.

Parameters

  [in] | value | Either URL or rendition is required, with URL taking precedence.

Returns
  None.